# Registry of 3rd Party Intellectual Property Rights used by Cross Layer Management and Control Software

The CLMC depends on 3rd party open source software distributed using approved open source software licenses. 

## Unmodified Libraries

| Library | Version | License | License Link |
| ------- | ------- | ------- | ------------ |
| pyramid | 1.9.2 | Repoze Public License (BSD-derived) http://repoze.org/license.html | https://github.com/Pylons/pyramid/blob/1.9.2/LICENSE.txt |
| pyramid_debugtoolbar | 4.5 | Repoze Public License (BSD-derived) http://repoze.org/license.html | https://github.com/Pylons/pyramid_debugtoolbar/blob/4.5/LICENSE.txt |
| pyramid_exclog | 1.0 | Repoze Public License (BSD-derived)  http://repoze.org/license.html | https://github.com/Pylons/pyramid_exclog/blob/1.0/LICENSE.txt |
| plaster_pastedeploy | 0.6 | MIT LICENSE | https://github.com/Pylons/plaster_pastedeploy/blob/0.6/LICENSE.txt |
| waitress | 1.1.0 | ZOPE PUBLIC LICENSE (ZPL) v2.1 | https://github.com/Pylons/waitress/blob/v1.1.0/LICENSE.txt |
| influxdb-python | 5.2.0 | MIT LICENSE	| https://github.com/influxdata/influxdb-python/blob/v5.2.0/LICENSE |
| py2neo | 4.2.0 | APACHE LICENSE v2 | https://github.com/technige/py2neo/blob/v4.2/LICENSE |	
| pyyaml | 3.13 | MIT LICENSE | https://github.com/yaml/pyyaml/blob/3.13/LICENSE |	
| tosca-parser | 1.1.0 | APACHE LICENSE v2 | https://github.com/openstack/tosca-parser/blob/1.1.0/LICENSE |
| schema | 0.6.8 | MIT LICENSE | https://github.com/keleshev/schema/blob/v0.6.8/LICENSE-MIT |	
| requests | 2.21.0 | APACHE LICENSE v2 | https://github.com/psf/requests/blob/v2.21.0/LICENSE |
| psutil | 5.6.1 | BSD 3-Clause LICENSE | https://github.com/giampaolo/psutil/blob/release-5.6.1/LICENSE |
| pytest | 3.8.1 | MIT LICENSE | https://github.com/pytest-dev/pytest/blob/3.8.1/LICENSE |	
| pytest-cov | 2.6.0 | MIT LICENSE | https://github.com/pytest-dev/pytest-cov/blob/v2.6.0/LICENSE |
			
## Unmodified Service Prerequisites

The following services need to be installed by the recipient as prerequisites for the CLMC

| Library | Version | License | License Link |
| ------- | ------- | ------- | ------------ |
| InfluxDB | 1.6.5 | MIT LICENSE | https://github.com/influxdata/influxdb/blob/v1.6.5/LICENSE |
| Chronograf | 1.4.4.2 | GNU AFFERO GENERAL PUBLIC LICENSE v3 |  https://github.com/influxdata/chronograf/blob/1.4.4.2/LICENSE |
| Kapacitor | 1.4.1 | MIT LICENSE | https://github.com/influxdata/kapacitor/blob/v1.4.1/LICENSE |
| Neo4j | 3.4.0 | GNU GENERAL PUBLIC LICENSE v3 | https://neo4j.com/licensing/ |
| Nginx | latest | BSD 2-Clause LICENSE | http://nginx.org/LICENSE |
